module dstep.foundation.NSHashTable_bindings;

import dstep.foundation.NSHashTable;
import dstep.foundation.NSObjCRuntime;
import dstep.foundation.NSZone;
import dstep.objc.objc;

extern (C)
{
	package void NSFreeHashTable (id table);
	package void NSResetHashTable (id table);
	package bool NSCompareHashTables (id table1, id table2);
	package id NSCopyHashTableWithZone (id table, NSZone* zone);
	package void* NSHashGet (id table, void* pointer);
	package void NSHashInsert (id table, void* pointer);
	package void NSHashInsertKnownAbsent (id table, void* pointer);
	package void* NSHashInsertIfAbsent (id table, void* pointer);
	package void NSHashRemove (id table, void* pointer);
	package NSHashEnumerator NSEnumerateHashTable (id table);
	package NSUInteger NSCountHashTable (id table);
	package id NSStringFromHashTable (id table);
	package id NSAllHashTableObjects (id table);
	package id NSCreateHashTableWithZone (NSHashTableCallBacks callBacks, NSUInteger capacity, NSZone* zone);
	package id NSCreateHashTable (NSHashTableCallBacks callBacks, NSUInteger capacity);
}