/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 28, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.qtkit.QTCaptureDevice_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package const id QTCaptureDeviceWasConnectedNotification;
		package const id QTCaptureDeviceWasDisconnectedNotification;
		package const id QTCaptureDeviceFormatDescriptionsWillChangeNotification;
		package const id QTCaptureDeviceFormatDescriptionsDidChangeNotification;
		package const id QTCaptureDeviceAttributeWillChangeNotification;
		package const id QTCaptureDeviceAttributeDidChangeNotification;
		package const id QTCaptureDeviceChangedAttributeKey;
		package const id QTCaptureDeviceSuspendedAttribute;
		package const id QTCaptureDeviceLinkedDevicesAttribute;
		package const id QTCaptureDeviceAvailableInputSourcesAttribute;
		package const id QTCaptureDeviceInputSourceIdentifierAttribute;
		package const id QTCaptureDeviceInputSourceIdentifierKey;
		package const id QTCaptureDeviceInputSourceLocalizedDisplayNameKey;
		package const id QTCaptureDeviceAVCTransportControlsAttribute;
		package const id QTCaptureDeviceAVCTransportControlsPlaybackModeKey;
		package const id QTCaptureDeviceAVCTransportControlsSpeedKey;
	}
}

