/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecKeychainSearch;

import dstep.corefoundation.CFBase;
import dstep.security.SecBase;
import dstep.security.SecKeychainItem;

extern (C)
{
	uint SecKeychainSearchGetTypeID ();
	int SecKeychainSearchCreateFromAttributes (CFTypeRef keychainOrArray, uint itemClass, SecKeychainAttributeList* attrList, SecKeychainSearchRef* searchRef);
	int SecKeychainSearchCopyNext (SecKeychainSearchRef searchRef, SecKeychainItemRef* itemRef);
}