/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSApplicationScripting;

import dstep.appkit.NSApplication;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

const TNSApplicationScriptingDelegation = `

	bool application (NSApplication sender, NSString key)
	{
		return invokeObjcSelf!(bool, "application:delegateHandlesKey:", NSApplication, NSString)(sender, key);
	}

	//mixin ObjcBindMethod!(application, "application:delegateHandlesKey:");

`;

