/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 30, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreaudio.HostTime;

import dstep.coreaudio.CoreAudioTypes;

extern (C)
{
	ulong AudioGetCurrentHostTime ();
	double AudioGetHostClockFrequency ();
	uint AudioGetHostClockMinimumTimeDelta ();
	ulong AudioConvertHostTimeToNanos (ulong inHostTime);
	ulong AudioConvertNanosToHostTime (ulong inNanos);
}