/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 25, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coredata.NSFetchedPropertyDescription;

import dstep.coredata.NSFetchRequest;
import dstep.coredata.NSPropertyDescription;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

class NSFetchedPropertyDescription : NSPropertyDescription
{
	mixin (ObjcWrap);

	NSFetchRequest fetchRequest ()
	{
		return invokeObjcSelf!(NSFetchRequest, "fetchRequest");
	}

	void setFetchRequest (NSFetchRequest fetchRequest)
	{
		return invokeObjcSelf!(void, "setFetchRequest:", NSFetchRequest)(fetchRequest);
	}
}

