/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 28, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.qtkit.QTMedia_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package const id QTMediaTypeVideo;
		package const id QTMediaTypeSound;
		package const id QTMediaTypeText;
		package const id QTMediaTypeBase;
		package const id QTMediaTypeMPEG;
		package const id QTMediaTypeMusic;
		package const id QTMediaTypeTimeCode;
		package const id QTMediaTypeSprite;
		package const id QTMediaTypeFlash;
		package const id QTMediaTypeMovie;
		package const id QTMediaTypeTween;
		package const id QTMediaType3D;
		package const id QTMediaTypeSkin;
		package const id QTMediaTypeQTVR;
		package const id QTMediaTypeHint;
		package const id QTMediaTypeStream;
		package const id QTMediaTypeMuxed;
		package const id QTMediaTypeQuartzComposer;
		package const id QTMediaCharacteristicVisual;
		package const id QTMediaCharacteristicAudio;
		package const id QTMediaCharacteristicCanSendVideo;
		package const id QTMediaCharacteristicProvidesActions;
		package const id QTMediaCharacteristicNonLinear;
		package const id QTMediaCharacteristicCanStep;
		package const id QTMediaCharacteristicHasNoDuration;
		package const id QTMediaCharacteristicHasSkinData;
		package const id QTMediaCharacteristicProvidesKeyFocus;
		package const id QTMediaCharacteristicHasVideoFrameRate;
		package const id QTMediaCreationTimeAttribute;
		package const id QTMediaDurationAttribute;
		package const id QTMediaModificationTimeAttribute;
		package const id QTMediaSampleCountAttribute;
		package const id QTMediaQualityAttribute;
		package const id QTMediaTimeScaleAttribute;
		package const id QTMediaTypeAttribute;
	}
}

