/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 28, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.qtkit.QTMovie_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package const id QTMoviePasteboardType;
		package const id QTMovieEditabilityDidChangeNotification;
		package const id QTMovieEditedNotification;
		package const id QTMovieLoadStateDidChangeNotification;
		package const id QTMovieLoopModeDidChangeNotification;
		package const id QTMovieMessageStringPostedNotification;
		package const id QTMovieRateDidChangeNotification;
		package const id QTMovieSelectionDidChangeNotification;
		package const id QTMovieSizeDidChangeNotification;
		package const id QTMovieStatusStringPostedNotification;
		package const id QTMovieTimeDidChangeNotification;
		package const id QTMovieVolumeDidChangeNotification;
		package const id QTMovieDidEndNotification;
		package const id QTMovieChapterDidChangeNotification;
		package const id QTMovieChapterListDidChangeNotification;
		package const id QTMovieEnterFullScreenRequestNotification;
		package const id QTMovieExitFullScreenRequestNotification;
		package const id QTMovieCloseWindowRequestNotification;
		package const id QTMovieApertureModeDidChangeNotification;
		package const id QTMovieMessageNotificationParameter;
		package const id QTMovieRateDidChangeNotificationParameter;
		package const id QTMovieStatusFlagsNotificationParameter;
		package const id QTMovieStatusCodeNotificationParameter;
		package const id QTMovieStatusStringNotificationParameter;
		package const id QTMovieTargetIDNotificationParameter;
		package const id QTMovieTargetNameNotificationParameter;
		package const id QTMovieExport;
		package const id QTMovieExportType;
		package const id QTMovieFlatten;
		package const id QTMovieExportSettings;
		package const id QTMovieExportManufacturer;
		package const id QTAddImageCodecType;
		package const id QTAddImageCodecQuality;
		package const id QTMovieDataReferenceAttribute;
		package const id QTMoviePasteboardAttribute;
		package const id QTMovieDataAttribute;
		package const id QTMovieFileOffsetAttribute;
		package const id QTMovieResolveDataRefsAttribute;
		package const id QTMovieAskUnresolvedDataRefsAttribute;
		package const id QTMovieOpenAsyncOKAttribute;
		package const id QTMovieApertureModeAttribute;
		package const id QTMovieAutoAlternatesAttribute;
		package const id QTMovieCopyrightAttribute;
		package const id QTMovieCreationTimeAttribute;
		package const id QTMovieCurrentSizeAttribute;
		package const id QTMovieCurrentTimeAttribute;
		package const id QTMovieDataSizeAttribute;
		package const id QTMovieDelegateAttribute;
		package const id QTMovieDisplayNameAttribute;
		package const id QTMovieDontInteractWithUserAttribute;
		package const id QTMovieDurationAttribute;
		package const id QTMovieEditableAttribute;
		package const id QTMovieFileNameAttribute;
		package const id QTMovieHasApertureModeDimensionsAttribute;
		package const id QTMovieHasAudioAttribute;
		package const id QTMovieHasDurationAttribute;
		package const id QTMovieHasVideoAttribute;
		package const id QTMovieIsActiveAttribute;
		package const id QTMovieIsInteractiveAttribute;
		package const id QTMovieIsLinearAttribute;
		package const id QTMovieIsSteppableAttribute;
		package const id QTMovieLoadStateAttribute;
		package const id QTMovieLoopsAttribute;
		package const id QTMovieLoopsBackAndForthAttribute;
		package const id QTMovieModificationTimeAttribute;
		package const id QTMovieMutedAttribute;
		package const id QTMovieNaturalSizeAttribute;
		package const id QTMoviePlaysAllFramesAttribute;
		package const id QTMoviePlaysSelectionOnlyAttribute;
		package const id QTMoviePosterTimeAttribute;
		package const id QTMoviePreferredMutedAttribute;
		package const id QTMoviePreferredRateAttribute;
		package const id QTMoviePreferredVolumeAttribute;
		package const id QTMoviePreviewModeAttribute;
		package const id QTMoviePreviewRangeAttribute;
		package const id QTMovieRateAttribute;
		package const id QTMovieSelectionAttribute;
		package const id QTMovieTimeScaleAttribute;
		package const id QTMovieURLAttribute;
		package const id QTMovieVolumeAttribute;
		package const id QTMovieRateChangesPreservePitchAttribute;
		package const id QTMovieApertureModeClassic;
		package const id QTMovieApertureModeClean;
		package const id QTMovieApertureModeProduction;
		package const id QTMovieApertureModeEncodedPixels;
		package const id QTMovieFrameImageSize;
		package const id QTMovieFrameImageType;
		package const id QTMovieFrameImageTypeNSImage;
		package const id QTMovieFrameImageTypeCGImageRef;
		package const id QTMovieFrameImageTypeCIImage;
		package const id QTMovieFrameImageTypeCVPixelBufferRef;
		package const id QTMovieFrameImageTypeCVOpenGLTextureRef;
		package const id QTMovieFrameImageOpenGLContext;
		package const id QTMovieFrameImagePixelFormat;
		package const id QTMovieFrameImageRepresentationsType;
		package const id QTMovieFrameImageDeinterlaceFields;
		package const id QTMovieFrameImageHighQuality;
		package const id QTMovieFrameImageSingleField;
		package const id QTMovieUneditableException;
		package const id QTMovieChapterName;
		package const id QTMovieChapterStartTime;
		package const id QTMovieChapterTargetTrackAttribute;
	}
}

