/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.quartzcore.CIFilter_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package id kCIAttributeFilterName;
		package id kCIAttributeFilterDisplayName;
		package id kCIAttributeDescription;
		package id kCIAttributeReferenceDocumentation;
		package id kCIAttributeFilterCategories;
		package id kCIAttributeClass;
		package id kCIAttributeType;
		package id kCIAttributeMin;
		package id kCIAttributeMax;
		package id kCIAttributeSliderMin;
		package id kCIAttributeSliderMax;
		package id kCIAttributeDefault;
		package id kCIAttributeIdentity;
		package id kCIAttributeName;
		package id kCIAttributeDisplayName;
		package id kCIUIParameterSet;
		package id kCIUISetBasic;
		package id kCIUISetIntermediate;
		package id kCIUISetAdvanced;
		package id kCIUISetDevelopment;
		package id kCIAttributeTypeTime;
		package id kCIAttributeTypeScalar;
		package id kCIAttributeTypeDistance;
		package id kCIAttributeTypeAngle;
		package id kCIAttributeTypeBoolean;
		package id kCIAttributeTypeInteger;
		package id kCIAttributeTypeCount;
		package id kCIAttributeTypePosition;
		package id kCIAttributeTypeOffset;
		package id kCIAttributeTypePosition3;
		package id kCIAttributeTypeRectangle;
		package id kCIAttributeTypeOpaqueColor;
		package id kCIAttributeTypeGradient;
		package id kCICategoryDistortionEffect;
		package id kCICategoryGeometryAdjustment;
		package id kCICategoryCompositeOperation;
		package id kCICategoryHalftoneEffect;
		package id kCICategoryColorAdjustment;
		package id kCICategoryColorEffect;
		package id kCICategoryTransition;
		package id kCICategoryTileEffect;
		package id kCICategoryGenerator;
		package id kCICategoryReduction;
		package id kCICategoryGradient;
		package id kCICategoryStylize;
		package id kCICategorySharpen;
		package id kCICategoryBlur;
		package id kCICategoryVideo;
		package id kCICategoryStillImage;
		package id kCICategoryInterlaced;
		package id kCICategoryNonSquarePixels;
		package id kCICategoryHighDynamicRange;
		package id kCICategoryBuiltIn;
		package id kCICategoryFilterGenerator;
		package id kCIApplyOptionExtent;
		package id kCIApplyOptionDefinition;
		package id kCIApplyOptionUserInfo;
		package id kCIOutputImageKey;
		package id kCIInputBackgroundImageKey;
		package id kCIInputImageKey;
		package id kCIInputTimeKey;
		package id kCIInputTransformKey;
		package id kCIInputScaleKey;
		package id kCIInputAspectRatioKey;
		package id kCIInputCenterKey;
		package id kCIInputRadiusKey;
		package id kCIInputAngleKey;
		package id kCIInputRefractionKey;
		package id kCIInputWidthKey;
		package id kCIInputSharpnessKey;
		package id kCIInputIntensityKey;
		package id kCIInputEVKey;
		package id kCIInputSaturationKey;
		package id kCIInputColorKey;
		package id kCIInputBrightnessKey;
		package id kCIInputContrastKey;
		package id kCIInputGradientImageKey;
		package id kCIInputMaskImageKey;
		package id kCIInputShadingImageKey;
		package id kCIInputTargetImageKey;
		package id kCIInputExtentKey;
	}
}

